package org.springblade.modules.api.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
@ApiModel("收益分页返回")
public class MerchantIncomeVO  {

    /**
     * 订单id
     */
    @ApiModelProperty(value = "订单id")
    private Long orderId;
    /**
     * 商品id
     */
    @ApiModelProperty(value = "商品id")
    private Long goodsId;
    /**
     * 商品数量
     */
    @ApiModelProperty(value = "商品数量")
    private Integer goodsNum;
    /**
     * 商品名称
     */
    @ApiModelProperty(value = "商品名称")
    private String goodsName;
    /**
     * 商品价格
     */
    @ApiModelProperty(value = "商品价格")
    private BigDecimal goodsPrice;
    /**
     * 商品图片
     */
    @ApiModelProperty(value = "商品图片")
    private String goodsImage;
    /**
     * 商品编号
     */
    @ApiModelProperty(value = "商品编号")
    private String goodsNo;
    /**
     * 门店id
     */
    @ApiModelProperty(value = "门店id")
    private Long shopId;
    /**
     * 门店名称
     */
    @ApiModelProperty(value = "门店名称")
    private String storeName;
    /**
     * 设备id
     */
    @ApiModelProperty(value = "设备id")
    private Long deviceId;
    /**
     * 商家id
     */
    @ApiModelProperty(value = "商家id")
    private Long merchantId;
    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    private Long userId;
    /**
     * 货道id
     */
    @ApiModelProperty(value = "货道id")
    private Long cargoWayId;
    /**
     * 货道id
     */
    @ApiModelProperty(value = "货道编号")
    private String cargoWayNo;
    /**
     * 出货时间
     */
    @ApiModelProperty(value = "出货时间")
    private LocalDateTime shippingTime;

}
